com.amazonaws.services.elastictranscoder.model

## Class Artwork

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Artwork

All Implemented Interfaces:
  Serializable, Cloneable

    public class Artwork
    extends Object
    implements Serializable, Cloneable

The file to be used as album art. There can be multiple artworks associated with an audio file, to a maximum of 20.

To remove artwork or leave the artwork empty, you can either set `Artwork` to null, or set the `Merge Policy` to "Replace" and use an empty `Artwork` array.

To pass through existing artwork unchanged, set the `Merge Policy` to "Prepend", "Append", or "Fallback", and use an empty `Artwork` array.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Artwork()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Artwork` `clone()`
`boolean` `equals(Object obj)`
`String` `getAlbumArtFormat()` The format of album art, if any.
`Encryption` `getEncryption()` The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.
`String` `getInputKey()` The name of the file to be used as album art.
`String` `getMaxHeight()` The maximum height of the output album art in pixels.
`String` `getMaxWidth()` The maximum width of the output album art in pixels.
`String` `getPaddingPolicy()` When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.
`String` `getSizingPolicy()` Specify one of the following values to control scaling of the output album art:
`int` `hashCode()`
`void` `setAlbumArtFormat(String albumArtFormat)` The format of album art, if any.
`void` `setEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.
`void` `setInputKey(String inputKey)` The name of the file to be used as album art.
`void` `setMaxHeight(String maxHeight)` The maximum height of the output album art in pixels.
`void` `setMaxWidth(String maxWidth)` The maximum width of the output album art in pixels.
`void` `setPaddingPolicy(String paddingPolicy)` When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.
`void` `setSizingPolicy(String sizingPolicy)` Specify one of the following values to control scaling of the output album art:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Artwork` `withAlbumArtFormat(String albumArtFormat)` The format of album art, if any.
`Artwork` `withEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.
`Artwork` `withInputKey(String inputKey)` The name of the file to be used as album art.
`Artwork` `withMaxHeight(String maxHeight)` The maximum height of the output album art in pixels.
`Artwork` `withMaxWidth(String maxWidth)` The maximum width of the output album art in pixels.
`Artwork` `withPaddingPolicy(String paddingPolicy)` When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.
`Artwork` `withSizingPolicy(String sizingPolicy)` Specify one of the following values to control scaling of the output album art:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Artwork

    public Artwork()

### Method Detail

#### setInputKey

    public void setInputKey(String inputKey)

The name of the file to be used as album art. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `PipelineId`; the `InputBucket` object in that pipeline identifies the bucket.

If the file name includes a prefix, for example, `cooking/pie.jpg`, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Parameters:
  `inputKey` - The name of the file to be used as album art. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `PipelineId`; the `InputBucket` object in that pipeline identifies the bucket.

  If the file name includes a prefix, for example, `cooking/pie.jpg`, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

#### getInputKey

    public String getInputKey()

The name of the file to be used as album art. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `PipelineId`; the `InputBucket` object in that pipeline identifies the bucket.

If the file name includes a prefix, for example, `cooking/pie.jpg`, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Returns:
  The name of the file to be used as album art. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `PipelineId`; the `InputBucket` object in that pipeline identifies the bucket.

  If the file name includes a prefix, for example, `cooking/pie.jpg`, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

#### withInputKey

    public Artwork withInputKey(String inputKey)

The name of the file to be used as album art. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `PipelineId`; the `InputBucket` object in that pipeline identifies the bucket.

If the file name includes a prefix, for example, `cooking/pie.jpg`, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Parameters:
  `inputKey` - The name of the file to be used as album art. To determine which Amazon S3 bucket contains the specified file, Elastic Transcoder checks the pipeline specified by `PipelineId`; the `InputBucket` object in that pipeline identifies the bucket.

  If the file name includes a prefix, for example, `cooking/pie.jpg`, include the prefix in the key. If the file isn't in the specified bucket, Elastic Transcoder returns an error.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxWidth

    public void setMaxWidth(String maxWidth)

The maximum width of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 4096, inclusive.

Parameters:
  `maxWidth` - The maximum width of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 4096, inclusive.

#### getMaxWidth

    public String getMaxWidth()

The maximum width of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 4096, inclusive.

Returns:
  The maximum width of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 4096, inclusive.

#### withMaxWidth

    public Artwork withMaxWidth(String maxWidth)

The maximum width of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 4096, inclusive.

Parameters:
  `maxWidth` - The maximum width of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 4096, inclusive.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxHeight

    public void setMaxHeight(String maxHeight)

The maximum height of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 3072, inclusive.

Parameters:
  `maxHeight` - The maximum height of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 3072, inclusive.

#### getMaxHeight

    public String getMaxHeight()

The maximum height of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 3072, inclusive.

Returns:
  The maximum height of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 3072, inclusive.

#### withMaxHeight

    public Artwork withMaxHeight(String maxHeight)

The maximum height of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 3072, inclusive.

Parameters:
  `maxHeight` - The maximum height of the output album art in pixels. If you specify `auto`, Elastic Transcoder uses 600 as the default value. If you specify a numeric value, enter an even integer between 32 and 3072, inclusive.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

Specify one of the following values to control scaling of the output album art:

- `Fit:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

- `Fill:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` and matches or exceeds the other value. Elastic Transcoder centers the output art and then crops it in the dimension (if any) that exceeds the maximum value.

- `Stretch:` Elastic Transcoder stretches the output art to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the input art and the output art are different, the output art will be distorted.

- `Keep:` Elastic Transcoder does not scale the output art. If either dimension of the input art exceeds the values that you specified for `MaxWidth` and `MaxHeight`, Elastic Transcoder crops the output art.

- `ShrinkToFit:` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the art up.

- `ShrinkToFill` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale the art up.

Parameters:
  `sizingPolicy` - Specify one of the following values to control scaling of the output album art:

  - `Fit:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

  - `Fill:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` and matches or exceeds the other value. Elastic Transcoder centers the output art and then crops it in the dimension (if any) that exceeds the maximum value.

  - `Stretch:` Elastic Transcoder stretches the output art to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the input art and the output art are different, the output art will be distorted.

  - `Keep:` Elastic Transcoder does not scale the output art. If either dimension of the input art exceeds the values that you specified for `MaxWidth` and `MaxHeight`, Elastic Transcoder crops the output art.

  - `ShrinkToFit:` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the art up.

  - `ShrinkToFill` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale the art up.

#### getSizingPolicy

    public String getSizingPolicy()

Specify one of the following values to control scaling of the output album art:

- `Fit:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

- `Fill:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` and matches or exceeds the other value. Elastic Transcoder centers the output art and then crops it in the dimension (if any) that exceeds the maximum value.

- `Stretch:` Elastic Transcoder stretches the output art to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the input art and the output art are different, the output art will be distorted.

- `Keep:` Elastic Transcoder does not scale the output art. If either dimension of the input art exceeds the values that you specified for `MaxWidth` and `MaxHeight`, Elastic Transcoder crops the output art.

- `ShrinkToFit:` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the art up.

- `ShrinkToFill` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale the art up.

Returns:
  Specify one of the following values to control scaling of the output album art:

  - `Fit:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

  - `Fill:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` and matches or exceeds the other value. Elastic Transcoder centers the output art and then crops it in the dimension (if any) that exceeds the maximum value.

  - `Stretch:` Elastic Transcoder stretches the output art to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the input art and the output art are different, the output art will be distorted.

  - `Keep:` Elastic Transcoder does not scale the output art. If either dimension of the input art exceeds the values that you specified for `MaxWidth` and `MaxHeight`, Elastic Transcoder crops the output art.

  - `ShrinkToFit:` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the art up.

  - `ShrinkToFill` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale the art up.

#### withSizingPolicy

    public Artwork withSizingPolicy(String sizingPolicy)

Specify one of the following values to control scaling of the output album art:

- `Fit:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

- `Fill:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` and matches or exceeds the other value. Elastic Transcoder centers the output art and then crops it in the dimension (if any) that exceeds the maximum value.

- `Stretch:` Elastic Transcoder stretches the output art to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the input art and the output art are different, the output art will be distorted.

- `Keep:` Elastic Transcoder does not scale the output art. If either dimension of the input art exceeds the values that you specified for `MaxWidth` and `MaxHeight`, Elastic Transcoder crops the output art.

- `ShrinkToFit:` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the art up.

- `ShrinkToFill` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale the art up.

Parameters:
  `sizingPolicy` - Specify one of the following values to control scaling of the output album art:

  - `Fit:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` without exceeding the other value.

  - `Fill:` Elastic Transcoder scales the output art so it matches the value that you specified in either `MaxWidth` or `MaxHeight` and matches or exceeds the other value. Elastic Transcoder centers the output art and then crops it in the dimension (if any) that exceeds the maximum value.

  - `Stretch:` Elastic Transcoder stretches the output art to match the values that you specified for `MaxWidth` and `MaxHeight`. If the relative proportions of the input art and the output art are different, the output art will be distorted.

  - `Keep:` Elastic Transcoder does not scale the output art. If either dimension of the input art exceeds the values that you specified for `MaxWidth` and `MaxHeight`, Elastic Transcoder crops the output art.

  - `ShrinkToFit:` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale the art up.

  - `ShrinkToFill` Elastic Transcoder scales the output art down so that its dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale the art up.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPaddingPolicy

    public void setPaddingPolicy(String paddingPolicy)

When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.

Parameters:
  `paddingPolicy` - When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.

#### getPaddingPolicy

    public String getPaddingPolicy()

When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.

Returns:
  When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.

#### withPaddingPolicy

    public Artwork withPaddingPolicy(String paddingPolicy)

When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.

Parameters:
  `paddingPolicy` - When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add white bars to the top and bottom and/or left and right sides of the output album art to make the total size of the output art match the values that you specified for `MaxWidth` and `MaxHeight`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAlbumArtFormat

    public void setAlbumArtFormat(String albumArtFormat)

The format of album art, if any. Valid formats are `.jpg` and `.png`.

Parameters:
  `albumArtFormat` - The format of album art, if any. Valid formats are `.jpg` and `.png`.

#### getAlbumArtFormat

    public String getAlbumArtFormat()

The format of album art, if any. Valid formats are `.jpg` and `.png`.

Returns:
  The format of album art, if any. Valid formats are `.jpg` and `.png`.

#### withAlbumArtFormat

    public Artwork withAlbumArtFormat(String albumArtFormat)

The format of album art, if any. Valid formats are `.jpg` and `.png`.

Parameters:
  `albumArtFormat` - The format of album art, if any. Valid formats are `.jpg` and `.png`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryption

    public void setEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.

#### getEncryption

    public Encryption getEncryption()

The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.

Returns:
  The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.

#### withEncryption

    public Artwork withEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your artwork.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Artwork clone()

Overrides:
  `clone` in class `Object`